module MPvez(clk,res,V,A,F,FS,A0,A1,Z);
	input clk;
    wire clk;
    
	input res;
	wire res;
	
	output [11:0] V;
	input [3:0] F;		// Feltetelek (4 feltetel)
	wire [3:0] F;
	
	output [3:0] A;	// ROM cim (16 cim)
	wire [3:0] A;	
	
	output [1:0] FS;	// feltetelek kivalasztasa
	wire [1:0] FS;
	
	output [3:0] A0;	//V[5:2] cimresz F=0 eseten
	wire [3:0] A0;
	
	output [3:0] A1;	//V[9:6] cimresz F=1 eseten
	wire [3:0] A1;
	
	output [1:0] Z;	//V[11:10] vezerles
	wire [1:0] Z;
	 
	wire FO;			// feltetel MPX kimenete
	wire [11:0] V;		// ROM adat kimenet
	wire [3:0] A10;	// cimreg bemenete
	 

assign FS = V[1:0];

assign A0 = V[5:2];
assign A1 = V[9:6];
assign Z = V[11:10]; 

REG4 MP_REG4(clk,res,A10,A);
MPX4_1 MP_MPX4_1(FS,F,FO);
MPX4X2_1 MP_MPX4X2_1(FO,A0,A1,A10);
ROM16X12 MP_ROM(A,V);
endmodule
