

module counter_tb();
 	// Bementeket reg-nek kimeneteket wire-nek kell deklaralni
 	reg clk;
	reg res;
	reg x;
	
 	wire [11:0] V;
	
	wire [3:0] A;
 	wire [1:0] FS;
 	wire [3:0] A0;
 	wire [3:0] A1;
 	
 	wire [1:0] Z;
 	wire [3:0] F;
 	
 	reg [31:0] TESTREG;
 	integer i;
 
	assign F[0] = x;
	assign F[3:1] = 3'b000;
	
 	// Valtozok kezdoereteke
 	initial
	begin
 		$vw_dumpfile("hf2MPvez.vwf"); // a wave (idodoagram) file neve
 	    $vw_dumpvars(1,clk,V,i,res,A,FS,Z,x);
 	    
 	    //!!!!! EZT A SORT KELL MODOSITANI !!!!!
 	    TESTREG = 32'b01001010001111110001100000101011;
 	    
 	    
 	    x <= TESTREG[31];
 	  	clk = 0; 	// a clock kezdeti erteke
 	  	res = 0; 	// a reset kezdeti erteke
 	  	
 	  	#5 res = 1; 	// reset kezdete
 	  	#5 clk = 1;
 	  	#5 clk = 0;
 	  	   res = 0; 	// reset vege
 	  	
 	  	
	// Clock es tesztminta generator	
 	  	for (i=1; i<32; i=i+1)
 	  	begin
 	  	 x <= TESTREG[32-i];
 	 	#5 clk = 1; 	// oreajel periodusido 2x5 egyseg
 	 	#5 clk = 0;   	  	
 		end 	
 	  	
 	  	$dumpoff;
		$finish; 	// szimulacio vege
 	end
 	 	
// A tesztelendo modul osszekapcsolasa a tesztelovel
// a bemenetek es kimenetek felsorolasat azonos sorrendben kell!
 	MPvez MP_vez (clk,res,V,A,F,FS,A0,A1,Z);
 	
endmodule